@{
    ViewData["Title"] = "Delete";
    var pnj = ViewData["Pnj"] as IPnj;
    var dis = pnj.toHtml();
    var id = pnj.id;
}

<div class="text-center">
    <h1 class="display-4">Delete</h1>
    <p>@Html.Raw(dis)</p>
    <button id="Delete" type="button" class="btn btn-danger">Confirm</button>
    @section Scripts {
        <script>
            const Url='https://localhost:5001/api/PNJ/@id' ;
            const data = null;
            $("#Delete").click(function(){
                var xhr = new XMLHttpRequest();
                xhr.open("DELETE", Url, true);
                xhr.send(null);
                alert('Delete sucessfull. Click button to go back Home');
                window.setTimeout(redirect,500)
                function redirect(){
                document.location.href="https://localhost:5002/Home"
                }
            });
        </script>
    }
</div>
